<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--Created by IRIS Business Services Ltd., Powered by IRIS Carbon, Unique Code 67ed274ab68e130d5c4218ac, Generated At Wed, 02 Apr 2025 12:02:18 GMT-->
<link:linkbase xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.qpr.com/xbrl/role/Konserninomanpääomanmuutoslaskelma" xlink:type="simple" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#Konserninomanpääomanmuutoslaskelma" />
  <link:roleRef roleURI="http://www.qpr.com/xbrl/role/Konsernintase" xlink:type="simple" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#Konsernintase" />
  <link:roleRef roleURI="http://www.qpr.com/xbrl/role/Konserninrahavirtalaskelma" xlink:type="simple" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#Konserninrahavirtalaskelma" />
  <link:roleRef roleURI="http://www.qpr.com/xbrl/role/Konserninlaajatuloslaskelma" xlink:type="simple" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#Konserninlaajatuloslaskelma" />
  <link:roleRef roleURI="http://www.qpr.com/xbrl/role/MandatoryTags" xlink:type="simple" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#MandatoryTags" />
  <link:roleRef roleURI="http://www.qpr.com/xbrl/role/Konsernitilinpäätöksenliitetiedot" xlink:type="simple" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#Konsernitilinpäätöksenliitetiedot" />
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.qpr.com/xbrl/role/Konserninomanpääomanmuutoslaskelma">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:title="ifrs-full_ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_ProfitLoss" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:title="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SaleOrIssueOfTreasuryShares" xlink:label="ifrs-full_SaleOrIssueOfTreasuryShares" xlink:title="ifrs-full_SaleOrIssueOfTreasuryShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="ifrs-full_SaleOrIssueOfTreasuryShares" xlink:title="Calculation : ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners to ifrs-full_SaleOrIssueOfTreasuryShares" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReductionOfIssuedCapital" xlink:label="ifrs-full_ReductionOfIssuedCapital" xlink:title="ifrs-full_ReductionOfIssuedCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="ifrs-full_ReductionOfIssuedCapital" xlink:title="Calculation : ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners to ifrs-full_ReductionOfIssuedCapital" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughExerciseOfOptions" xlink:label="ifrs-full_IncreaseDecreaseThroughExerciseOfOptions" xlink:title="ifrs-full_IncreaseDecreaseThroughExerciseOfOptions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="ifrs-full_IncreaseDecreaseThroughExerciseOfOptions" xlink:title="Calculation : ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners to ifrs-full_IncreaseDecreaseThroughExerciseOfOptions" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssueOfEquity" xlink:label="ifrs-full_IssueOfEquity" xlink:title="ifrs-full_IssueOfEquity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="ifrs-full_IssueOfEquity" xlink:title="Calculation : ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners to ifrs-full_IssueOfEquity" order="3" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.qpr.com/xbrl/role/Konsernintase">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" xlink:title="ifrs-full_Assets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" xlink:title="ifrs-full_NoncurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_NoncurrentAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_NoncurrentAssets" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsUnderDevelopment" xlink:label="ifrs-full_IntangibleAssetsUnderDevelopment" xlink:title="ifrs-full_IntangibleAssetsUnderDevelopment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_IntangibleAssetsUnderDevelopment" xlink:title="Calculation : ifrs-full_NoncurrentAssets to ifrs-full_IntangibleAssetsUnderDevelopment" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:title="ifrs-full_IntangibleAssetsOtherThanGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:title="Calculation : ifrs-full_NoncurrentAssets to ifrs-full_IntangibleAssetsOtherThanGoodwill" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:label="ifrs-full_Goodwill" xlink:title="ifrs-full_Goodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_Goodwill" xlink:title="Calculation : ifrs-full_NoncurrentAssets to ifrs-full_Goodwill" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" xlink:title="ifrs-full_PropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_PropertyPlantAndEquipment" xlink:title="Calculation : ifrs-full_NoncurrentAssets to ifrs-full_PropertyPlantAndEquipment" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:title="ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:title="Calculation : ifrs-full_NoncurrentAssets to ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssets" xlink:label="ifrs-full_RightofuseAssets" xlink:title="ifrs-full_RightofuseAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_RightofuseAssets" xlink:title="Calculation : ifrs-full_NoncurrentAssets to ifrs-full_RightofuseAssets" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" xlink:title="ifrs-full_DeferredTaxAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_DeferredTaxAssets" xlink:title="Calculation : ifrs-full_NoncurrentAssets to ifrs-full_DeferredTaxAssets" order="6" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" xlink:title="ifrs-full_CurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CurrentAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_CurrentAssets" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" xlink:title="ifrs-full_TradeAndOtherCurrentReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_TradeAndOtherCurrentReceivables" xlink:title="Calculation : ifrs-full_CurrentAssets to ifrs-full_TradeAndOtherCurrentReceivables" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:title="ifrs-full_CashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CashAndCashEquivalents" xlink:title="Calculation : ifrs-full_CurrentAssets to ifrs-full_CashAndCashEquivalents" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" xlink:title="ifrs-full_EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="ifrs-full_EquityAttributableToOwnersOfParent" xlink:title="ifrs-full_EquityAttributableToOwnersOfParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_EquityAttributableToOwnersOfParent" xlink:title="Calculation : ifrs-full_EquityAndLiabilities to ifrs-full_EquityAttributableToOwnersOfParent" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" xlink:title="ifrs-full_IssuedCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_IssuedCapital" xlink:title="Calculation : ifrs-full_EquityAttributableToOwnersOfParent to ifrs-full_IssuedCapital" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves" xlink:label="ifrs-full_OtherReserves" xlink:title="ifrs-full_OtherReserves" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_OtherReserves" xlink:title="Calculation : ifrs-full_EquityAttributableToOwnersOfParent to ifrs-full_OtherReserves" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="ifrs-full_TreasuryShares" xlink:title="ifrs-full_TreasuryShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_TreasuryShares" xlink:title="Calculation : ifrs-full_EquityAttributableToOwnersOfParent to ifrs-full_TreasuryShares" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:title="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:title="Calculation : ifrs-full_EquityAttributableToOwnersOfParent to ifrs-full_ReserveOfExchangeDifferencesOnTranslation" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#qpr1v_ReserveForInvestedUnrestrictedEquity" xlink:label="qpr1v_ReserveForInvestedUnrestrictedEquity" xlink:title="qpr1v_ReserveForInvestedUnrestrictedEquity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="qpr1v_ReserveForInvestedUnrestrictedEquity" xlink:title="Calculation : ifrs-full_EquityAttributableToOwnersOfParent to qpr1v_ReserveForInvestedUnrestrictedEquity" order="4" weight="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" xlink:title="ifrs-full_RetainedEarnings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_RetainedEarnings" xlink:title="Calculation : ifrs-full_EquityAttributableToOwnersOfParent to ifrs-full_RetainedEarnings" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" xlink:title="ifrs-full_Liabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Liabilities" xlink:title="Calculation : ifrs-full_EquityAndLiabilities to ifrs-full_Liabilities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" xlink:title="ifrs-full_NoncurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_NoncurrentLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_NoncurrentLiabilities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" xlink:title="ifrs-full_NoncurrentLeaseLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentLeaseLiabilities" xlink:title="Calculation : ifrs-full_NoncurrentLiabilities to ifrs-full_NoncurrentLeaseLiabilities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" xlink:title="ifrs-full_LongtermBorrowings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_LongtermBorrowings" xlink:title="Calculation : ifrs-full_NoncurrentLiabilities to ifrs-full_LongtermBorrowings" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" xlink:title="ifrs-full_CurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_CurrentLiabilities" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_CurrentLiabilities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" xlink:title="ifrs-full_CurrentLeaseLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentLeaseLiabilities" xlink:title="Calculation : ifrs-full_CurrentLiabilities to ifrs-full_CurrentLeaseLiabilities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" xlink:title="ifrs-full_TradeAndOtherCurrentPayables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_TradeAndOtherCurrentPayables" xlink:title="Calculation : ifrs-full_CurrentLiabilities to ifrs-full_TradeAndOtherCurrentPayables" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShorttermBorrowings" xlink:label="ifrs-full_ShorttermBorrowings" xlink:title="ifrs-full_ShorttermBorrowings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_ShorttermBorrowings" xlink:title="Calculation : ifrs-full_CurrentLiabilities to ifrs-full_ShorttermBorrowings" order="2" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.qpr.com/xbrl/role/Konserninrahavirtalaskelma">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:title="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to ifrs-full_CashFlowsFromUsedInOperatingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_ProfitLoss" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_ProfitLoss" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationExpense" xlink:title="ifrs-full_AdjustmentsForDepreciationExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForDepreciationExpense" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_AdjustmentsForDepreciationExpense" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:label="ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:title="ifrs-full_OtherAdjustmentsToReconcileProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_OtherAdjustmentsToReconcileProfitLoss" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="3" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:title="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCostsPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_FinanceCostsPaidClassifiedAsOperatingActivities" xlink:title="ifrs-full_FinanceCostsPaidClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_FinanceCostsPaidClassifiedAsOperatingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_FinanceCostsPaidClassifiedAsOperatingActivities" order="6" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to ifrs-full_CashFlowsFromUsedInInvestingActivities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsForDevelopmentProjectExpenditure" xlink:label="ifrs-full_PaymentsForDevelopmentProjectExpenditure" xlink:title="ifrs-full_PaymentsForDevelopmentProjectExpenditure" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PaymentsForDevelopmentProjectExpenditure" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_PaymentsForDevelopmentProjectExpenditure" order="0" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to ifrs-full_CashFlowsFromUsedInFinancingActivities" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:label="ifrs-full_ProceedsFromIssuingShares" xlink:title="ifrs-full_ProceedsFromIssuingShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromIssuingShares" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to ifrs-full_ProceedsFromIssuingShares" order="3" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.qpr.com/xbrl/role/Konserninlaajatuloslaskelma">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:title="ifrs-full_ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_ProfitLoss" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:title="ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossBeforeTax" xlink:title="Calculation : ifrs-full_ProfitLoss to ifrs-full_ProfitLossBeforeTax" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="ifrs-full_ProfitLossFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to ifrs-full_ProfitLossFromOperatingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" xlink:title="ifrs-full_Revenue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_Revenue" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_Revenue" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" xlink:title="ifrs-full_OtherIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_OtherIncome" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_OtherIncome" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" xlink:title="ifrs-full_OperatingExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_OperatingExpense" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_OperatingExpense" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#qpr1v_MaterialAndServicesExpense" xlink:label="qpr1v_MaterialAndServicesExpense" xlink:title="qpr1v_MaterialAndServicesExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="qpr1v_MaterialAndServicesExpense" xlink:title="Calculation : ifrs-full_OperatingExpense to qpr1v_MaterialAndServicesExpense" order="0" weight="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" xlink:title="ifrs-full_EmployeeBenefitsExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="ifrs-full_EmployeeBenefitsExpense" xlink:title="Calculation : ifrs-full_OperatingExpense to ifrs-full_EmployeeBenefitsExpense" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" xlink:title="ifrs-full_DepreciationAndAmortisationExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="ifrs-full_DepreciationAndAmortisationExpense" xlink:title="Calculation : ifrs-full_OperatingExpense to ifrs-full_DepreciationAndAmortisationExpense" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="ifrs-full_OtherExpenseByNature" xlink:title="ifrs-full_OtherExpenseByNature" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="ifrs-full_OtherExpenseByNature" xlink:title="Calculation : ifrs-full_OperatingExpense to ifrs-full_OtherExpenseByNature" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" xlink:title="ifrs-full_FinanceIncomeCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FinanceIncomeCost" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to ifrs-full_FinanceIncomeCost" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" xlink:title="ifrs-full_FinanceIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="ifrs-full_FinanceIncome" xlink:title="Calculation : ifrs-full_FinanceIncomeCost to ifrs-full_FinanceIncome" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" xlink:title="ifrs-full_FinanceCosts" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="ifrs-full_FinanceCosts" xlink:title="Calculation : ifrs-full_FinanceIncomeCost to ifrs-full_FinanceCosts" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="Calculation : ifrs-full_ProfitLoss to ifrs-full_IncomeTaxExpenseContinuingOperations" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:title="ifrs-full_OtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncome" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_OtherComprehensiveIncome" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="Calculation : ifrs-full_OtherComprehensiveIncome to ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" order="0" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.qpr.com/xbrl/role/MandatoryTags" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.qpr.com/xbrl/role/Konsernitilinpäätöksenliitetiedot" />
</link:linkbase>